Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRiScriptObject Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | UpdatePck ([in] RtShort scriptType)
HRESULT | ImportScripts ([in] RtShort scriptType)
HRESULT | StartMacroRecording ([in] BSTR bsFullCmdName)
HRESULT | StopMacroRecording ([in] BSTR bsFullCmdName)
HRESULT | RunLastMacroRecord ([in] BSTR bsCommonMacroName)

## Detailed Description

The IRiScriptObject interface provides some supporting methods for managing and running scripts, also macro scripts. The interface cosists of some static methods, and with dynamic part depending on registered internal scripts commands (e.g. ScriptObject.OnNewScene"()
Root-level name in the scripting engine's name space: ScriptObject

## Member Function Documentation

HRESULT IRiScriptObject::UpdatePck | ( | [in] RtShort | scriptType | ) |

| Update dynamic part of the ScriptObject interface after import of internal script commands (usually performed during tS statup)

HRESULT IRiScriptObject::ImportScripts | ( | [in] RtShort | scriptType | ) |

  | Import internal script commands so that system can recognize them during runtime (usually performed during tS statup) Parameters:
  scriptType | - type of script objects to be imported (nodes, commands, both)

HRESULT IRiScriptObject::StartMacroRecording | ( | [in] BSTR | bsFullCmdName | ) |

  | Starts macro recording into particular script command on the scene) Parameters:
  bsFullCmdName | - symbolic name of common object used by macro recorder, or full name of script command on the scene

HRESULT IRiScriptObject::StopMacroRecording | ( | [in] BSTR | bsFullCmdName | ) |

  | Stops (finish) macro recording into particular script command on the scene) Parameters:
  bsFullCmdName | - symbolic name of common object used by macro recorder, or full name of script command on the scene

HRESULT IRiScriptObject::RunLastMacroRecord | ( | [in] BSTR | bsCommonMacroName | ) |

  | Playback the latest recorded macro record Parameters:
  bsCommonMacroName | - symbolic name of common object used by macro recorder